<?php

namespace Hyiplab\Includes;

class Activator
{
    public function activate()
    {
        if (!get_option('hyiplab_installed') || !get_option('hyiplab_version')) {
        global $wp_rewrite, $wpdb;
        $sql = file_get_contents(HYIPLAB_ROOT . 'db/hyiplab.sql');
        $sql = str_replace('{{prefix}}', $wpdb->prefix, $sql);
        $sql = str_replace('{{collate}}', $wpdb->get_charset_collate(), $sql);
        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);
        update_option('hyiplab_version', hyiplab_system_details()['version']);
        update_option('hyiplab_installed', 1);
        update_option('hyiplab_cur_text', 'USD');
        update_option('hyiplab_cur_sym', '$');
        update_option('hyiplab_email_template', $this->email_form());
        update_option('hyiplab_email_from', get_option('admin_email'));
        update_option('hyiplab_sms_from', get_bloginfo('name'));
        update_option('hyiplab_sms_body', 'hi {{fullname}} ({{username}}), {{message}}');
        update_option('hyiplab_email_notification', 1);
        update_option('hyiplab_sms_notification', 0);
        update_option('hyiplab_email_verification', 1);
        update_option('hyiplab_user_ranking', 1);
        update_option('hyiplab_registration_bonus', 0);
        update_option('hyiplab_balance_transfer', 0);
        update_option('hyiplab_balance_transfer_fixed_charge', 0);
        update_option('hyiplab_balance_transfer_percent_charge', 0);
        update_option('hyiplab_mail_config', ['name' => 'php']);
        update_option('hyiplab_sms_config', ['name' => 'clickatell', 'clickatell' => ['api_key' => '']]);
        $wp_rewrite->set_permalink_structure('/%year%/%monthnum%/%postname%/');
        }
        flush_rewrite_rules();
    }

    public function deactivate()
    {
        flush_rewrite_rules();
    }

    public function email_form()
    {
        $html = '&lt;table&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;
        &lt;table cellspacing=\&quot;0\&quot; cellpadding=\&quot;0\&quot;&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td width=\&quot;600\&quot;&gt;
        &lt;table class=\&quot;table-inner\&quot; width=\&quot;95%\&quot; cellspacing=\&quot;0\&quot; cellpadding=\&quot;0\&quot;&gt;
        &lt;tbody&gt;
                &lt;/tbody&gt;
        &lt;/table&gt;
        &lt;table class=\&quot;table-inner\&quot; width=\&quot;95%\&quot; cellspacing=\&quot;0\&quot; cellpadding=\&quot;0\&quot;&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td&gt;
        &lt;table width=\&quot;90%\&quot; cellspacing=\&quot;0\&quot; cellpadding=\&quot;0\&quot;&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;a href=\&quot;#\&quot;&gt;&lt;br /&gt;
                                                                                    &lt;img src=\&quot;https://i.imgur.com/Z1qtvtV.png\&quot; alt=\&quot;img\&quot;&gt;&lt;/p&gt;
        &lt;p&gt;&lt;/a&gt;&lt;/p&gt;
        &lt;p&gt;&lt;a href=\&quot;#\&quot;&gt;                                                                        &lt;/a&gt;&lt;/p&gt;
        &lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;Hello {{fullname}} ({{username}})&lt;br /&gt;-------------------------------&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;
        &lt;table&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;
        &lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;{{message}}&lt;br /&gt;-------------------------------&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;
        &lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;
        &lt;table&gt;
        &lt;tbody&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td class=\&quot;preference-link\&quot;&gt;&copy; 2023 &lt;a href=\&quot;#\&quot;&gt;{{site_name}}&lt;/a&gt;&amp;nbsp;. All Rights Reserved.&lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;
        &lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;
        &lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;
        &lt;/td&gt;
        &lt;/tr&gt;
        &lt;tr&gt;
        &lt;td&gt;&lt;/td&gt;
        &lt;/tr&gt;
        &lt;/tbody&gt;
        &lt;/table&gt;';
        return $html;
    }
}