<?php hyiplab_layout('user/layouts/master'); ?>
<div class="row g-3 mt-4">
    <div class="col-lg-4">
        <div class="dashboard-widget">
            <div class="d-flex justify-content-between">
                <h5 class="text-secondary"><?php esc_html_e('Successful Deposits', HYIPLAB_PLUGIN_NAME); ?></h5>
            </div>
            <h3 class="text--secondary my-4"><?php echo hyiplab_show_amount($data['successfulDeposits']); ?> <?php echo hyiplab_currency('text'); ?></h3>
            <div class="widget-lists">
                <div class="row">
                    <div class="col-4">
                        <p class="fw-bold"><?php esc_html_e('Submitted', HYIPLAB_PLUGIN_NAME); ?></p>
                        <span><?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['submittedDeposits']); ?></span>
                    </div>
                    <div class="col-4">
                        <p class="fw-bold"><?php esc_html_e('Pending', HYIPLAB_PLUGIN_NAME); ?></p>
                        <span><?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['pendingDeposits']); ?></span>
                    </div>
                    <div class="col-4">
                        <p class="fw-bold"><?php esc_html_e('Rejected', HYIPLAB_PLUGIN_NAME); ?></p>
                        <span><?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['rejectedDeposits']); ?></span>
                    </div>
                </div>
                <hr>
                <p><small><i><?php esc_html_e('You\'ve requested to deposit', HYIPLAB_PLUGIN_NAME); ?> <?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['requestedDeposits']); ?>. <?php esc_html_e('Where', HYIPLAB_PLUGIN_NAME); ?> <?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['initiatedDeposits']); ?> <?php esc_html_e('is just initiated but not submitted', HYIPLAB_PLUGIN_NAME); ?>.</i></small></p>
            </div>
        </div>
    </div>
    <div class="col-lg-4">
        <div class="dashboard-widget">
            <div class="d-flex justify-content-between">
                <h5 class="text-secondary"><?php esc_html_e('Successful Withdrawals', HYIPLAB_PLUGIN_NAME); ?></h5>
            </div>
            <h3 class="text--secondary my-4"><?php echo hyiplab_show_amount($data['successfulWithdraws']); ?> <?php echo hyiplab_currency('text'); ?></h3>
            <div class="widget-lists">
                <div class="row">
                    <div class="col-4">
                        <p class="fw-bold"><?php esc_html_e('Submitted', HYIPLAB_PLUGIN_NAME); ?></p>
                        <span><?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['submittedWithdraws']); ?></span>
                    </div>
                    <div class="col-4">
                        <p class="fw-bold"><?php esc_html_e('Pending', HYIPLAB_PLUGIN_NAME); ?></p>
                        <span><?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['pendingWithdraws']); ?></span>
                    </div>
                    <div class="col-4">
                        <p class="fw-bold"><?php esc_html_e('Rejected', HYIPLAB_PLUGIN_NAME); ?></p>
                        <span><?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['rejectedWithdraws']); ?></span>
                    </div>
                </div>
                <hr>
                <p><small><i><?php esc_html_e('You\'ve requested to withdraw', HYIPLAB_PLUGIN_NAME); ?> <?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['requestedWithdraws']); ?>. <?php esc_html_e('Where', HYIPLAB_PLUGIN_NAME); ?> <?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['initiatedWithdraws']); ?> <?php esc_html_e('is just initiated but not submitted', HYIPLAB_PLUGIN_NAME); ?>.</i></small></p>
            </div>
        </div>
    </div>
    <div class="col-lg-4">
        <div class="dashboard-widget">
            <div class="d-flex justify-content-between">
                <h5 class="text-secondary"><?php esc_html_e('Total Investments', HYIPLAB_PLUGIN_NAME); ?></h5>
            </div>
            <h3 class="text--secondary my-4"><?php echo hyiplab_show_amount($data['invests']); ?> <?php echo hyiplab_currency('text'); ?></h3>
            <div class="widget-lists">
                <div class="row">
                    <div class="col-4">
                        <p class="fw-bold"><?php esc_html_e('Completed', HYIPLAB_PLUGIN_NAME); ?></p>
                        <span><?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['completedInvests']); ?></span>
                    </div>
                    <div class="col-4">
                        <p class="fw-bold"><?php esc_html_e('Running', HYIPLAB_PLUGIN_NAME); ?></p>
                        <span><?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['runningInvests']); ?></span>
                    </div>
                    <div class="col-4">
                        <p class="fw-bold"><?php esc_html_e('Interests', HYIPLAB_PLUGIN_NAME); ?></p>
                        <span><?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['interests']); ?></span>
                    </div>
                </div>
                <hr>
                <p><small><i><?php esc_html_e('You\'ve invested', HYIPLAB_PLUGIN_NAME); ?> <?php echo hyiplab_currency('symbol'); ?><?php echo hyiplab_show_amount($data['depositWalletInvests']); ?> <?php esc_html_e('from the deposit wallet and', HYIPLAB_PLUGIN_NAME); ?> <?php echo hyiplab_currency('sym'); ?><?php echo hyiplab_show_amount($data['interestWalletInvests']); ?> <?php esc_html_e('from the interest wallet', HYIPLAB_PLUGIN_NAME); ?></i></small></p>
            </div>
        </div>
    </div>
</div>


<div class="card mt-4 mb-4">
    <div class="card-body">
        <div class="mb-2">
            <h5 class="title"><?php esc_html_e('Latest ROI Statistics', HYIPLAB_PLUGIN_NAME); ?></h5>
            <p><small><i><?php esc_html_e('Here is last 30 days statistics of your ROI (Return on Investment)', HYIPLAB_PLUGIN_NAME); ?></i></small></p>
        </div>
        <div id="chart"></div>
    </div>
</div>

<script>
    jQuery(document).ready(function($){
        "use strict";
        // apex-line chart
        var options = {
            chart: {
                height: 350,
                type: "area",
                toolbar: {
                    show: false
                },
                dropShadow: {
                    enabled: true,
                    enabledSeries: [0],
                    top: -2,
                    left: 0,
                    blur: 10,
                    opacity: 0.08,
                },
                animations: {
                    enabled: true,
                    easing: 'linear',
                    dynamicAnimation: {
                        speed: 1000
                    }
                },
            },
            dataLabels: {
                enabled: false
            },
            series: [{
                name: "Price",
                data: [
                    <?php foreach ($data['chart'] as $cData) { ?>
                        <?php echo hyiplab_get_amount($cData->amount); ?>,
                    <?php } ?>
    
                ]
            }],
            fill: {
                type: "gradient",
                colors: ['#4c7de6', '#4c7de6', '#4c7de6'],
                gradient: {
                    shadeIntensity: 1,
                    opacityFrom: 0.6,
                    opacityTo: 0.9,
                    stops: [0, 90, 100]
                }
            },
            xaxis: {
                title: "Value",
                categories: [
                    <?php foreach ($data['chart'] as $cData) { ?> 
                        "<?php echo date('d F', strtotime($cData->date)); ?>",
                    <?php } ?>
                ]
            },
            grid: {
                padding: {
                    left: 5,
                    right: 5
                },
                xaxis: {
                    lines: {
                        show: false
                    }
                },
                yaxis: {
                    lines: {
                        show: false
                    }
                },
            },
        };
    
        var chart = new ApexCharts(document.querySelector("#chart"), options);
    
        chart.render();
    
        var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
        var tooltipList = tooltipTriggerList.map(function(tooltipTriggerEl) {
            return new bootstrap.Tooltip(tooltipTriggerEl)
        })
    });
</script>

<?php
wp_enqueue_script('apexchart', hyiplab_asset('public/js/apexcharts.min.js'), array('jquery'), null, true);
?>